Bug Hunting Session
Bug 104193 - Writer's AutoCorrect Word Completion list is deleted during a LibO version upgrade
Summary: Writer's AutoCorrect Word Completion list is deleted during a LibO version up...
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
5.2.3.3 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: AutoCorrect-Complete
  Show dependency treegraph
 
Reported: 2016-11-27 02:00 UTC by LostLombard
Modified: 2018-05-30 16:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description LostLombard 2016-11-27 02:00:21 UTC
I just upgraded from LO 5.2.0 to 5.2.3.3 and Writer's AutoCorrect Word Completion list was deleted :(

I had set the AutoCorrect to collect words and now they are all gone.

I recommend preserving the word list during all upgrades, esp. if the user has set it to collect words.
Comment 1 Buovjaga 2016-12-01 18:29:40 UTC
Which operating system are you using?

Set to NEEDINFO.
Change back to UNCONFIRMED after you have provided the information.
Comment 2 LostLombard 2016-12-02 00:03:09 UTC
Windows 10
Comment 3 Buovjaga 2016-12-02 16:18:39 UTC
The list is stored in the user profile folder, so it should not be deleted.

You did not use a portable version, but the full install?
Comment 4 LostLombard 2016-12-03 02:40:52 UTC
Yes, full install.
Comment 5 tommy27 2016-12-23 05:12:10 UTC
LibO 5.2.4.2 has been released yesterday.
please try upgrading from LibO 5.2.3.3 to 5.2.4.2 and tell if issue persists.
remember to backup first the user profile ( https://wiki.documentfoundation.org/UserProfile ) so you won't loose data if bug is still present.

give us feedback about what happens and revert status to UNCONFIRMED if issue is still there or RESOLVED WORKSFORME if bug is gone.

status NEEDINFO until then.

about your Win10, is that a 64 bit version?
Comment 6 tommy27 2017-02-25 05:55:52 UTC
any news my fried?
in the meantime 5.2.5 and 5.3.0 have been released.
please retest.
Comment 7 LostLombard 2017-02-25 23:28:07 UTC
I can confirm the problem did not happen with the upgrade from

5.2.3 -> 5.2.5.1

The word completion list stayed in place.

I will test again with the upgrade to 5.3
Comment 8 tommy27 2017-02-26 05:11:26 UTC
nice to hear that.
let's label it as RESOLVED WORKSFORME
feel free to reopen it if the bugs appears again in next upgrades.
Comment 9 LostLombard 2017-02-28 09:09:49 UTC
Sorry, spoke too soon (before a reboot).

I upgraded to 5.3.0.3 and the list was there, but when I restarted the machine it was lost.

Anyone else able to test it?
Comment 10 Buovjaga 2017-02-28 09:42:45 UTC
Normally they are stored in the user profile: https://wiki.documentfoundation.org/UserProfile#Windows
Under "autocorr" folder. Just tested by adding a new autocorrection exception and it popped a acor_fi-FI.dat file there.
The profile should not be deleted upon upgrade, so that is your root problem.

Any idea what is causing it? You are not manually deleting it, right? Or with some kind of "clean unused files" tool?
Comment 11 LostLombard 2017-02-28 11:38:45 UTC
> Any idea what is causing it?

Afraid not.

> You are not manually deleting it, right?

Right (not deleting anything)

> Or with some kind of "clean unused files" tool?

I hope not.
Comment 12 LostLombard 2017-02-28 11:47:34 UTC
This where my file is:

C:\Users\Me\AppData\Roaming\LibreOffice\4\user\autocorr

Not sure what LibreOffice 4 is the directory. I did have LO 4.x installed a while back, but obviously upgraded to version 5.

The file:

acor_en-AU.dat

is date stamped 27/02/2017 8:26PM which is the time of the 5.3 upgrade.

Maybe LO 5.x is looking for a "5" directory and if not there overwrites the file?
Comment 13 Buovjaga 2017-02-28 11:57:57 UTC
(In reply to LostLombard from comment #12)
> This where my file is:
> 
> C:\Users\Me\AppData\Roaming\LibreOffice\4\user\autocorr
> 
> Not sure what LibreOffice 4 is the directory. I did have LO 4.x installed a
> while back, but obviously upgraded to version 5.
> 
> The file:
> 
> acor_en-AU.dat
> 
> is date stamped 27/02/2017 8:26PM which is the time of the 5.3 upgrade.
> 
> Maybe LO 5.x is looking for a "5" directory and if not there overwrites the
> file?

When the version number was bumped to 5, it was decided to not change the profile number to avoid these types of data loss situations. As it is stamped to the time of the upgrade, maybe it is proof the update messed with it somehow.
Comment 14 Xisco Faulí 2017-11-01 23:03:29 UTC
Dear Reporter,
I couldn't find any similar report in our Bugzilla.
Could you please share the list with us?

I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the requested document is provided.
(Please note that the attachment will be public, remove any sensitive information before attaching it. 
See https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F for help on how to do so.)
Comment 15 QA Administrators 2018-05-02 15:47:31 UTC Comment hidden (obsolete)
Comment 16 QA Administrators 2018-05-30 16:48:40 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20180530